package jp.co.student.springbootstudy.domain.model;

public class TutorialGroup {

	/**
	 * This field was generated by MyBatis Generator. This field corresponds to the database column public.tutorial_group.group_id
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	private String groupId;
	/**
	 * This field was generated by MyBatis Generator. This field corresponds to the database column public.tutorial_group.teacher_id
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	private String teacherId;
	/**
	 * This field was generated by MyBatis Generator. This field corresponds to the database column public.tutorial_group.group_name
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	private String groupName;
	
	private String teacherName;

	/**
	 * This method was generated by MyBatis Generator. This method returns the value of the database column public.tutorial_group.group_id
	 * @return  the value of public.tutorial_group.group_id
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	public String getGroupId() {
		return groupId;
	}

	/**
	 * This method was generated by MyBatis Generator. This method sets the value of the database column public.tutorial_group.group_id
	 * @param groupId  the value for public.tutorial_group.group_id
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	public void setGroupId(String groupId) {
		this.groupId = groupId;
	}

	/**
	 * This method was generated by MyBatis Generator. This method returns the value of the database column public.tutorial_group.teacher_id
	 * @return  the value of public.tutorial_group.teacher_id
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	public String getTeacherId() {
		return teacherId;
	}

	/**
	 * This method was generated by MyBatis Generator. This method sets the value of the database column public.tutorial_group.teacher_id
	 * @param teacherId  the value for public.tutorial_group.teacher_id
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	public void setTeacherId(String teacherId) {
		this.teacherId = teacherId;
	}

	/**
	 * This method was generated by MyBatis Generator. This method returns the value of the database column public.tutorial_group.group_name
	 * @return  the value of public.tutorial_group.group_name
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	public String getGroupName() {
		return groupName;
	}

	/**
	 * This method was generated by MyBatis Generator. This method sets the value of the database column public.tutorial_group.group_name
	 * @param groupName  the value for public.tutorial_group.group_name
	 * @mbg.generated  Mon Apr 15 17:17:38 JST 2024
	 */
	public void setGroupName(String groupName) {
		this.groupName = groupName;
	}
	
	public String getTeacherName() {
		return teacherName;
	}
	
	public void setTeacherName(String teacherName) {
		this.teacherName = teacherName;
	}
}